Create Tenant Role

Creates a Role within the Tenant.

POST
/v2/manage/roles

Creates a Role within the Tenant.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/v2/manage/roles" \  -H "Content-Type: application/json" \  -d '{    "Name": "Admin"  }'
{
  "Id": "role_dsag432d",
  "Name": "Admin",
  "Description": "Admin Role",
  "Level": "tenant",
  "OrgId": "",
  "Permissions": [
    {
      "ID": "perm_2enk23n3",
      "Name": "read:users",
      "Description": "Read users data",
      "OriginalName": "read:users",
      "ResourceId": "507f1f77bcf86cd799439011"
    }
  ],
  "CreatedDate": "2023-10-01T00:00:00Z",
  "ModifiedDate": "2023-10-01T00:00:00Z"
}

{
  "ErrorCode": 7914,
  "Message": "Post body is invalid",
  "Description": "Please use a valid post body in JSON format."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}
{
  "ErrorCode": 8123,
  "Message": "Duplicate Role name",
  "Description": "Duplicate Role name, Please provide valid Role name."
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}